# Interface ITypeInfoRequestor

public interface ITypeInfoRequestor
An interfaces to give access to the type presented in type selection dialogs like the open type dialog.

Please note that `ITypeInfoRequestor` objects don't have value semantic. The state of the object might change over time especially since objects are reused for different call backs.

This interface is not intended to be implemented by clients.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`getEnclosingName()`
Returns a dot separated string of the enclosing types or an empty string if the type is a top level type.
`int`
`getModifiers()`
Returns the type's modifiers.
`String`
`getPackageName()`
Returns the package name.
`String`
`getTypeName()`
Returns the type name.

## Method Details

### getModifiers

int getModifiers()
Returns the type's modifiers. The modifiers can be inspected using the class `Flags`.

Returns:
  the type's modifiers

### getTypeName

String getTypeName()
Returns the type name.

Returns:
  the info's type name.

### getPackageName

String getPackageName()
Returns the package name.

Returns:
  the info's package name.

### getEnclosingName

String getEnclosingName()
Returns a dot separated string of the enclosing types or an empty string if the type is a top level type.

Returns:
  a dot separated string of the enclosing types